Skip to main content
GET
TypeScript SDK
The response contains a templates array with up to 100 results per page. Each template has the following fields:

Pagination

If more templates are available, has_more is true and next_cursor contains the cursor for the next page. Pass that value as start_cursor in the next request.

Permissions

This endpoint returns only templates under the specified data source that the connection can access. Sharing the parent database with the connection generally grants access to its child templates. Templates are also Notion pages. Use Retrieve a page to get a template’s properties and content. You can also open a template in Notion and copy its URL to find its ID.

Errors

Returns a 404 HTTP response if the data source doesn’t exist or if the connection doesn’t have access to it. Each Public API endpoint can return several possible error codes. See the Error codes section of the Status codes documentation for more information.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The API version to use for this request. The latest version is 2026-03-11.

Available options:
2026-03-11

Path Parameters

data_source_id
string
required

ID of a Notion data source.

Query Parameters

name
string

Filter templates by name (case-insensitive substring match).

start_cursor
string

If supplied, this endpoint will return a page of results starting after the cursor provided. If not supplied, this endpoint will return the first page of results.

page_size
integer

The number of items from the full list desired in the response. Maximum: 100

Required range: 1 <= x <= 100

Response

templates
object[]
required

Array of templates available in this data source.

Maximum array length: 100
has_more
boolean
required

Whether there are more templates available beyond this page.

next_cursor
string<uuid> | null
required

Cursor to use for the next page of results. Null if there are no more results.